diff --git a/ddportfolioservice/model/ddportfolio.ini b/ddportfolioservice/model/ddportfolio.ini
index 5a38bf8..a476c2d 100644
--- a/ddportfolioservice/model/ddportfolio.ini
+++ b/ddportfolioservice/model/ddportfolio.ini
@@ -19,7 +19,7 @@
# .
#
[DEFAULT]
-keyring.dir=/usr/share/keyrings
+keyring.dir=~/debian/keyring.debian.org/keyrings
urlbuilder.sections=overview,bugs,build,qa,upload,lists,files,membership,
miscellaneous
diff --git a/synckeyrings.sh b/synckeyrings.sh
new file mode 100755
index 0000000..20d11f4
--- /dev/null
+++ b/synckeyrings.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+# Copyright (C) 2009 Jan Dittberner and others This
+# little script is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation; version 3.
+#
+# On Debian systems, the complete text of the GNU General Public
+# License can be found in /usr/share/common-licenses/GPL-3 file.
+#
+# This script syncs local copies of the debian-keyring with
+# keyring.d.o (the keyring package is too old).
+#
+# ~/debian/keyring.debian.org/keyrings/ will be created if it doesn't exist.
+
+# Always exit if there is an error
+set -e
+
+# For the rsync of the debian keyrings and for the nm.gpg
+DESTDIR="${DEBHOME:-"$HOME/debian"}/keyring.debian.org/keyrings"
+# For the following calls use LANG=C - some output is used for
+# reports to a list / for an english report.
+LANG=C
+export LANG
+
+test -d $DESTDIR || mkdir -p $DESTDIR
+
+rsync -qcltz --block-size=8192 --partial --progress --exclude='emeritus-*' --exclude='removed-*' 'keyring.debian.org::keyrings/keyrings/*' $DESTDIR/.